<?php $hidden=$this->session->userdata('jenis_pengadilan')!='2'?'hidden':''; ?>
<table>
	<tbody>
		<tr>
			<td>
				Sumber
			</td>
			<td>
				<span class="custom-dropdown custom-dropdown--emerald" style="width:200px">
					<select id="status_pihak_id" style="width:200px" class="custom-dropdown__select custom-dropdown__select--white dropdown_saksi">
						<option value="13">Saksi</option>
					</select>
				</span>&nbsp&nbsp&nbsp<a href="#" class="tambah_saksi" onclick="popup_form4th('<?php echo base_url("add_saksi/".$enc."/add/5");?>')">[Tambah Register Saksi]</a></br>
				<span class="custom-dropdown custom-dropdown--emerald" style="width:200px">
					<select id="saksi_id" name="saksi_id" style="width:200px" class="custom-dropdown__select custom-dropdown__select--white dropdown_saksi">
				<?php 
					foreach ($arr_saksi as $row) {
						echo '';
						echo "<option value='$row->pihak5id'>$row->nama</option>";
					}
				 ?>
				 	</select>
				</span>
				<label <?php echo $hidden; ?>><input  type="checkbox" name="kenal">Saksi kenal dengan Terdakwa</label></br></br>
				<label <?php echo $hidden; ?>><input  type="radio" name="tanggapan_terdakwa" value="membenarkan_semua">Terdakwa Membenarkan Semua Keterangan Saksi</label><br>
				<label <?php echo $hidden; ?>><input  type="radio" name="tanggapan_terdakwa" value="menyanggah_semua">Terdakwa Menyanggah Semua Keterangan Saksi</label><br>
				<label <?php echo $hidden; ?>><input  type="radio" name="tanggapan_terdakwa" value="menyanggah_sebagian">Terdakwa Menyanggah Sebagian Keterangan Saksi</label><br>
			</td>
		</tr>
		<tr>
			<td>Penanya</td>
			<td>
				<span class="custom-dropdown custom-dropdown--emerald" style="width:200px">
					<select id="hakim_id" style="width:200px" class="custom-dropdown__select custom-dropdown__select--white dropdown_saksi">
						<option value="hakim_ketua">Hakim Ketua</option>
						<option value="hakim_anggota_I">Hakim Anggota I</option>
						<option value="hakim_anggota_II">Hakim Anggota II</option>
						<option value="oditur">Oditur Militer</option>
						<option value="penasihat_hukum">Penasihat Hukum</option>
						<option value="terdakwa">Terdakwa</option>
				 	</select>
				</span>
			</td>
		</tr>
		<tr>
			<td>Pertanyaan</td>
			<td>
				<textarea id="pertanyaan" style="width:100%"></textarea>
			</td>
		</tr>
		<tr>
			<td>Jawaban</td>
			<td>
				<textarea id="jawaban" style="width:100%"></textarea>
			</td>
		</tr>
		<tr>
			<td></td>
			<td>
				<input type='button' id="tambah_table_pemeriksaan_saksi" value='add'>
				<input type='text' id="saksi_agenda_id" value='<?php echo $id; ?>'>
			</td>
		</tr>
	</tbody>
</table>
<script type="text/javascript">
   
function getkey(obj, value){
	var i=1;
	for (i=1;i<=Object.keys(obj).length;i++) {
		if(obj[i]==value){
			return i;
			break;
		};
	}
	return i;
}
$(document).ready(function(){
	var obj_urutan_sumber_id={}, obj_urutan_penanya={}, obj_urutan={};
	var urutan_sumber_id = 0, urutan_penanya=0, urutan_pertanyaan=0;
	$('#tambah_table_pemeriksaan_saksi').click(function(){
		if($('#pertanyaan').val()!='' && $('#jawaban').val()!='' <?php echo $this->session->userdata('jenis_pengadilan')=='2'?"&& $('input[name=tanggapan_terdakwa]:checked').length>0":""; ?>){
			var urutan = $('#table_hasil_pemeriksaan_saksi tr').length;
			if (urutan==1){
				urutan_sumber_id = 1;
				obj_urutan_sumber_id[1]=$('#saksi_id').val();
				urutan_pertanyaan=1;
			}else{
				urutan_sumber_id = (getkey(obj_urutan_sumber_id,$('#saksi_id').val()));
				obj_urutan_sumber_id[urutan_sumber_id]=$('#saksi_id').val();
			}
			switch($('#hakim_id').val()) {
			    case 'hakim_ketua':
			        urutan_penanya=1;
			    break;
			    case 'hakim_anggota_I':
			        urutan_penanya=2;
			    break;
			    case 'hakim_anggota_II':
			        urutan_penanya=3;
			    break;
			    case 'oditur':
			        urutan_penanya=4;
			    break;
			    case 'penasihat_hukum':
			        urutan_penanya=5;
			    break;
			    case 'terdakwa':
			        urutan_penanya=6;
			    break;
			} 
			var val_urutan_sumber_id='<input name="urutan_sumber__s'+urutan+'" value="'+urutan_sumber_id+'">';
			var val_urutan_penanya='<input name="urutan_penanya__s'+urutan+'" value="'+urutan_penanya+'">';
			var val_urutan_pertanyaan='<input name="urutan_pertanyaan__s'+urutan+'" value="'+urutan+'">';
			var status_pihak_id=$('#status_pihak_id :selected').text();
			var val_status_pihak_id='<input  name="pihak_ke__s'+urutan+'" value="'+$('#status_pihak_id').val()+'">';
			var nama_saksi=$('#saksi_id :selected').text();
			var val_nama_saksi='<input  name="sumber_id__s'+urutan+'" value="'+$('#saksi_id').val()+'">';
			var nama_penanya=$('#hakim_id :selected').text();
			var val_nama_penanya='<input   name="penanya_t__s'+urutan+'" value="'+$('#hakim_id').val()+'">';
			var pertanyaan=$('#pertanyaan').val();
			var val_pertanyaan='<input   name="pertanyaan_t__s'+urutan+'" value="'+$('#pertanyaan').val()+'">';
			var jawaban=$('#jawaban').val();
			var val_jawaban='<input   name="jawaban_t__s'+urutan+'" value="'+$('#jawaban').val()+'">';
			<?php
			if ($hidden!='hidden'){ ?>
			if ($('input[name="kenal"]:checked').length > 0){
				var val_kenal='Saksi kenal dengan Terdakwa<input  name="kenal__s'+urutan+'" value="kenal">';
			}else{
				var val_kenal='Saksi tidak kenal dengan Terdakwa<input  name="kenal__s'+urutan+'" value="tidak kenal">';
			}
			
			var val_tanggapan_terdakwa='Terdakwa '+$('input[name=tanggapan_terdakwa]:checked').val().replace("_", " ")+' keterangan Saksi'+'<input  name="tanggapan_terdakwa__s'+urutan+'" value="'+$('input[name=tanggapan_terdakwa]:checked').val()+'">';
			<?php }else{ ?>
				var val_kenal='';
				var val_tanggapan_terdakwa='';
			<?php } ?>
			$('#table_hasil_pemeriksaan_saksi').append('<tr><td>'+urutan+'</td>'
										+'<td>'+status_pihak_id+' '+urutan_sumber_id+': '+nama_saksi+val_status_pihak_id+val_nama_saksi+val_urutan_sumber_id+'</td>'
										+'<td>'+nama_penanya+val_nama_penanya+val_urutan_penanya+'</td><td>'+pertanyaan+val_pertanyaan+val_urutan_pertanyaan+'</td>'
										+'<td>'+jawaban+val_jawaban+'</td>'
										+'<td>'+val_kenal+'</br>'+val_tanggapan_terdakwa+'</td>'
										+'<td><a ahref="" class="deleteLink">hapus</a></td>'
									+'</tr>');
			$('#pertanyaan').val('');
			$('#jawaban').val('');
		}
	});

	$("#table_hasil_pemeriksaan_saksi").on('click','.deleteLink',function(){
        $(this).parent().parent().remove();
    });

    $('#status_pihak_id').change(function(){
    	if ($(this).val()=='9'){
    		$('.tambah_saksi').show();
    	}else{
    		$('.tambah_saksi').hide();
    	};
    	$.post( '<?php echo base_url('setting_bas_c/get_list_pihak');?>', { status_pihak_id: $(this).val() }).done(function( data ) {
	    	$('#saksi_id').children().remove();
	    	$('#saksi_id').append(data);
  		});
    });

    $('#saksi_id').change(function(){
    	//alert($("select[name='saksi_id'] option:selected").index())
    })
});
</script>